## PkFiles

PkFiles — Files object

## Functions

PkFiles * | pk_files_new ()
const gchar * | pk_files_get_package_id ()
gchar ** | pk_files_get_files ()

## Description

This GObject represents a files from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_files_new ()

    PkFiles *
    pk_files_new (void);

#### Returns

a new PkFiles object.

Since: 0.5.4

### pk_files_get_package_id ()

    const gchar *
    pk_files_get_package_id (PkFiles *files);

Gets the package-id

#### Parameters

files | a valid PkFiles instance |

#### Returns

Gets the package_id for the files object

Since: 0.9.1

### pk_files_get_files ()

    gchar **
    pk_files_get_files (PkFiles *files);

Gets the file list

#### Parameters

files | a valid PkFiles instance |

#### Returns

Gets the file list for the files object.

[transfer none]

Since: 0.9.1